<?php
/*
 * jQuery File Upload Plugin PHP Example 5.14
 * https://github.com/blueimp/jQuery-File-Upload
 *
 * Copyright 2010, Sebastian Tschan
 * https://blueimp.net
 *
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/MIT
 */
error_reporting(E_ALL | E_STRICT);
require_once('../../../../../admin/inc/common.php');

# path & file constants definitions
define('ITEMDATA', GSDATAPATH.'imanager/'); // wird verwendet
define('IM_CATEGORY_DIR', ITEMDATA.'categories/');
define('IM_ITEM_DIR', ITEMDATA.'items/');
define('IM_SETTINGS_DIR', ITEMDATA.'settings/');
define('IM_FIELDS_DIR', ITEMDATA.'fields/');
define('IM_SECTIONS_CACHE_DIR', ITEMDATA.'cache/sections/');
define('IM_UPLOAD_DIR', GSDATAUPLOADPATH.'imanager/');
define('IM_TEMPLATE_DIR', GSPLUGINPATH.'imanager/tpl/');
define('IM_IMAGE_UPLOAD_DIR', GSDATAPATH.'uploads/imanager/');
define('IM_BACKUP_DIR', GSBACKUPSPATH.'other/imanager/');
define('IM_CONFIG_FILE', IM_SETTINGS_DIR.'config.im.xml');
define('IM_FIELDS_FILE_SUFFIX', '.im.fields.xml');
define('IM_CATEGORY_FILE_SUFFIX', '.im.cat.xml');
define('IM_TEMPLATE_FILE_SUFFIX', '.im.tpl');
define('IM_ITEM_FILE_SUFFIX', '.im.item.xml');
define('IM_SITE_URL', $SITEURL);
define('IM_LANGUAGE', $LANG);


// Initialize software name
define('IMTITLE', 'ItemManager');

// model
include(GSPLUGINPATH.'imanager/class/im.model.class.php');
// settup
include(GSPLUGINPATH.'imanager/class/im.setup.class.php');
// manager
include(GSPLUGINPATH.'imanager/class/im.class.php');
// backend controller
include(GSPLUGINPATH.'imanager/class/im.backend.controller.class.php');
// category
include(GSPLUGINPATH.'imanager/class/im.category.class.php');
// category object type
include(GSPLUGINPATH.'imanager/class/im.category.object.php');
// category processor
include(GSPLUGINPATH.'imanager/class/im.category.processor.class.php');
// markup/section cache
include(GSPLUGINPATH.'imanager/class/im.section.cache.php');

// template object type
include(GSPLUGINPATH.'imanager/class/im.template.object.php');
// item object type
include(GSPLUGINPATH.'imanager/class/im.item.object.php');
// item class type
include(GSPLUGINPATH.'imanager/class/im.item.class.php');
// output
include(GSPLUGINPATH.'imanager/class/im.template.class.php');
// reporter
include(GSPLUGINPATH.'imanager/class/im.msg.reporter.class.php');

// fields controller
include(GSPLUGINPATH.'imanager/class/im.fields.class.php');
// fields object type
include(GSPLUGINPATH.'imanager/class/im.field.object.php');




// input interface
include(GSPLUGINPATH.'imanager/class/im.input.interface.php');
// field interface
include(GSPLUGINPATH.'imanager/class/im.field.interface.php');



foreach (glob(GSPLUGINPATH.'imanager/class/module/fields/im.field.*.php') as $filename)
{include($filename);}

foreach (glob(GSPLUGINPATH.'imanager/class/module/inputs/im.input.*.php') as $filename)
{include($filename);}



if(!get_cookie('GS_ADMIN_USERNAME')) {die();}
require('UploadHandler.php');
$upload_handler = new UploadHandler();
